Overview
Examples
Screenshots
Comparisons
Applications
Download
Documentation
Tutorials
Bazaar
Status & Roadmap
FAQ
Authors & License
Forums
Funding Ultimate++
Search on this site
Search in forums












SourceForge.net Logo
Home » U++ TheIDE » U++ TheIDE: Compiling, Linking, Debugging of your packages » apps built depends on libstdc++ (apps porting)
apps built depends on libstdc++ [message #44452] Fri, 13 March 2015 09:59 Go to next message
bonami is currently offline  bonami
Messages: 186
Registered: June 2007
Location: Beijing
Experienced Member
i built an app with theide on Ubuntu 14 and copy it to Ubuntu 12.
Then it complains
/usr/lib/x86_64-linux-gnu/libstdc++.so.6: version `GLIBCXX_3.4.20' not found
How to compile a bin to be used on other versions of Linux?
Re: apps built depends on libstdc++ [message #44465 is a reply to message #44452] Sat, 14 March 2015 16:16 Go to previous messageGo to next message
mirek is currently offline  mirek
Messages: 12122
Registered: November 2005
Ultimate Member
bonami wrote on Fri, 13 March 2015 09:59
i built an app with theide on Ubuntu 14 and copy it to Ubuntu 12.
Then it complains
/usr/lib/x86_64-linux-gnu/libstdc++.so.6: version `GLIBCXX_3.4.20' not found
How to compile a bin to be used on other versions of Linux?


Short answer: You cannot. Welcome to linux... Smile

Mirek
Re: apps built depends on libstdc++ [message #44467 is a reply to message #44465] Sat, 14 March 2015 18:32 Go to previous messageGo to next message
sergeynikitin is currently offline  sergeynikitin
Messages: 736
Registered: January 2008
Location: Moscow, Russia
Contributor

Why not????

google with the words:


  • compile chroot environment
  • LD_LIBRARY
  • LD_LIBRARY_PATH


and YES, Welcome to LINUX!!!



SergeyNikitin<U++>( linux, wine )
{
    under( Ubuntu || Debian || Raspbian );
}

[Updated on: Sat, 14 March 2015 18:33]

Report message to a moderator

Re: apps built depends on libstdc++ [message #44475 is a reply to message #44467] Sun, 15 March 2015 11:03 Go to previous messageGo to next message
mirek is currently offline  mirek
Messages: 12122
Registered: November 2005
Ultimate Member
sergeynikitin wrote on Sat, 14 March 2015 18:32
Why not????

google with the words:



  • compile chroot environment
  • LD_LIBRARY
  • LD_LIBRARY_PATH



and YES, Welcome to LINUX!!!



That is not SHORT answer... Smile
Re: apps built depends on libstdc++ [message #44485 is a reply to message #44475] Mon, 16 March 2015 17:10 Go to previous messageGo to next message
sergeynikitin is currently offline  sergeynikitin
Messages: 736
Registered: January 2008
Location: Moscow, Russia
Contributor

This is not direct receipt, but the way! Linux way! Wink

SergeyNikitin<U++>( linux, wine )
{
    under( Ubuntu || Debian || Raspbian );
}
Re: apps built depends on libstdc++ [message #44552 is a reply to message #44452] Fri, 27 March 2015 09:41 Go to previous messageGo to next message
bonami is currently offline  bonami
Messages: 186
Registered: June 2007
Location: Beijing
Experienced Member
This time, I have my app built with a recipe on Launchpad for Precise.
On my Precise 12.04.4, I install this app but it still has this error.
It works on the other Precise of mine, 12.04.5.
But on both machines, "strings /usr/lib/x86_64-linux-gnu/libstdc++.so.6.0.16 |grep GLIBC" produces no GLIBCXX_3.4.20.
Both gcc 4.6.3.

This post said I can link the lib to my app with -static-libstdc++
http:// stackoverflow.com/questions/19386651/how-to-fix-usr-lib-libs tdc-so-6-version-glibcxx-3-4-15-not-found
If so, how to add it to my umk command to build the app?

Thank you very much.

[Updated on: Fri, 27 March 2015 10:54]

Report message to a moderator

Re: apps built depends on libstdc++ [message #44553 is a reply to message #44552] Fri, 27 March 2015 10:33 Go to previous messageGo to next message
dolik.rce is currently offline  dolik.rce
Messages: 1758
Registered: August 2008
Location: Czech Republic
Senior Contributor

bonami wrote on Fri, 27 March 2015 09:41
This post said I can link the lib to my app with -static-libstdc++
http:// stackoverflow.com/questions/19386651/how-to-fix-usr-lib-libs tdc-so-6-version-glibcxx-3-4-15-not-found
If so, how to add it to my umk command to build the app?

You can add it to your GCC.bm, in the RELEASE_LINK option.

Honza
Re: apps built depends on libstdc++ [message #44561 is a reply to message #44452] Tue, 31 March 2015 10:53 Go to previous messageGo to next message
bonami is currently offline  bonami
Messages: 186
Registered: June 2007
Location: Beijing
Experienced Member
the generated bin becomes larger, 1100k from 900k.
but it still complains "/usr/lib/x86_64-linux-gnu/libstdc++.so.6: version `GLIBCXX_3.4.20' not found"
Re: apps built depends on libstdc++ [message #44570 is a reply to message #44452] Thu, 02 April 2015 03:54 Go to previous message
bonami is currently offline  bonami
Messages: 186
Registered: June 2007
Location: Beijing
Experienced Member
seems my libc is not installed complete. not all packages are of the same version. Some is newer, which makes it want to find 3.4.20.
So, I will try to turn those to the lower version again.
Anyway, the static link idea does not work, maybe because I am still using a dynamic library depending on libc.
Previous Topic: Makefile's install depends on all
Next Topic: patch Gdb_MI parser
Goto Forum:
  


Current Time: Wed Dec 11 02:00:14 CET 2019

Total time taken to generate the page: 0.03206 seconds